Page MenuHomePhabricator

Tweak page-linked notification
Closed, ResolvedPublic

Description

We'd like to make the following tweaks to the page-linked notification;

  • Change the wording of the main message from "Destination was linked from Source" to "Source now links to Destination"
  • Change the wording of the secondary link label from "See all links to this page" to "All links to this page"
  • Change the secondary link icon to modules/icons/link-blue.svg (currently this secondary link does not have an icon)

Event Timeline

Catrope created this task.Dec 17 2015, 10:46 PM
Catrope raised the priority of this task from to Normal.
Catrope updated the task description. (Show Details)
Catrope added a subscriber: Catrope.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 17 2015, 10:46 PM
SBisson claimed this task.Dec 22 2015, 7:33 PM
SBisson set Security to None.
This comment was removed by SBisson.

Change 260631 had a related patch set uploaded (by Sbisson):
Update page-linked notification text

https://gerrit.wikimedia.org/r/260631

I like the older wording of "$1 was linked from $2", there's no guarantee that the link is still there, just that someone added the link in the past.

I like the older wording of "$1 was linked from $2", there's no guarantee that the link is still there, just that someone added the link in the past.

Agreed. I think all other notifications are worded in terms of the event that happened and not the state they put the system in.

@jmatazzoni, what do you think?

I have to say I find the new language more clear and direct. Somehow, "this links to that" is more the way I think than "that was linked [to] from this." Probably because the language conforms with the direction of linking itself -- hyperlinks in effect are unidirectional in terms of how we experience them, whether making or following. We never experience them as incoming (except in the left nav of Wikipedia.)

For me, that seems to outweigh the thought that "now" may become inaccurate after the notification is sent. The notification was accurate when it was sent...

We could, theoretically, add past tense back in: "Easter Island was linked to Moai." But somehow that spoils the clarity for me. So my recommendation is to stick with the (new) approved formulation.

Actually -to reverse myself -- I just thought of a formulation that might work for everyone. What do you think about this:

"A link was made from Easter Island to Moai."

it's in the past tense, as I think you're requesting, but it avoids the issue I had with going "backwards," as it were. It's a little more wordy....

Change 260631 merged by jenkins-bot:
Update page-linked notification text

https://gerrit.wikimedia.org/r/260631

Legoktm closed this task as Resolved.Jan 12 2016, 6:23 PM

@Pginer-WMF Hey Pau, are you OK with this new language: "A link was made from Easter Island to Moai."

If so, please update the graphic at https://phabricator.wikimedia.org/M132

I've come to prefer this, so am updating the spreadsheet. If you have objections, let me know.

It looks like the header message for bundled notification is still in the old style
$4 and $5 other {{PLURAL:$6|page|pages}} now link to $3.

Should we change it? And to what?

@SBisson -- the bundled message would be in this format :

Links were made from Easter Island and 99 other pages to Moai.

@SBisson -- the bundled message would be in this format :
Links were made from Easter Island and 99 other pages to Moai.

I made the change here (https://gerrit.wikimedia.org/r/#/c/266770). Waiting for review and merge.

Change 266770 had a related patch set uploaded (by Siebrand):
Fix bundled header message for 'page-linked' notification

https://gerrit.wikimedia.org/r/266770

Change 266770 merged by jenkins-bot:
Fix bundled header message for 'page-linked' notification

https://gerrit.wikimedia.org/r/266770